# vue-input-auto-trim

#### Description
A plug-in used in the vue2 project to realize the automatic trim of input box through directive


#### Software Architecture
Support input and textarea tags of native and UI frameworks

#### Installation
npm install vue-input-auto-trim -S

#### Instructions
``` js
//Referenced in main.js
import Vue from 'vue'
import trim from 'vue-input-auto-trim'
Vue. use(trim)
```
``` html
<input v-trim />
<textarea v-trim:textarea />
<a-input v-trim>
<a-textarea v-trim:textarea />
```

### Tip: If you need to automatically trim the global input box, you can use vue-global-input-auto-trim