# vue-input-auto-trim

#### 介绍
一个用于vue2项目,通过指令实现输入框自动trim的插件

#### 软件架构
支持原生和UI-框架的input以及textarea标签

#### 安装教程
npm install vue-input-auto-trim -S

## 使用方法
``` js
//在全局main.js中引用
import Vue from 'vue'
import trim from 'vue-input-auto-trim'
Vue. use(trim)
```
``` html
<input v-trim />
<textarea v-trim:textarea />
<a-input v-trim>
<a-textarea v-trim:textarea />
```

### 友情提示：如果你需要对全局的输入框进行自动trim，你可以使用vue-global-input-auto-trim
